Bug 1151761

Summary: SPICE should be usable via UNIX sockets (both server and client side)
Product: [Community] Virtualization Tools Reporter: Christoph Anton Mitterer <calestyo>
Component: libvirtAssignee: Libvirt Maintainers <libvirt-maint>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: unspecified    
Version: unspecifiedCC: agedosier, berrange, clalancette, crobinso, itamar, jforbes, laine, libvirt-maint, rbalakri, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-06-09 13:28:07 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Christoph Anton Mitterer 2014-10-11 15:43:07 UTC
Hi.

As bug #947020 was closed without dealing with all wishes expressed in it I'm open a follow up here:

IMHO, for security reasons, SPICE should be usable as well via UNIX sockets instead of TCP.

This of course doesn't only apply to libvirt/qemu on the server side, but also to the client side (i.e. virt-manager and perhaps virt-viewer as well).


Cheers,
Chris.

Comment 1 Jaroslav Reznik 2015-03-03 16:21:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Cole Robinson 2015-04-10 22:58:20 UTC
qemu will support this with 2.3.0, but I don't think libvirt supports it for spice yet

http://git.qemu.org/?p=qemu.git;a=commit;h=fe4831b1e7e7007ae15ae0470a06898660ab3877

Comment 3 Cole Robinson 2016-03-21 23:31:53 UTC
Patches posted upstream: http://www.redhat.com/archives/libvir-list/2016-March/msg00979.html

Comment 4 Mike McCune 2016-03-28 22:55:34 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 5 Cole Robinson 2016-06-09 13:28:07 UTC
Upstream now:

commit ffac5056390c2401da497db4f5ea9730d3c9c094
Author: Pavel Hrdina <phrdina@redhat.com>
Date:   Wed May 18 14:11:20 2016 +0200

    spice: introduce spice_auto_unix_socket config option